import { ControlValueAccessor } from '@angular/forms';
export declare abstract class ValueAccessorBase<T> implements ControlValueAccessor {
    private innerValue;
    private _onChangeCallback;
    private _onTouchedCallback;
    protected internallyTouched: boolean;
    get value(): T;
    set value(value: T);
    touch(): void;
    writeValue(value: T): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
